﻿# Function takes a file and tests it for the three attributes that are required on a legitimate FSA Placeholder
# Returns true is the file is a Placeholder and false if it is not
# Caveat: if the function returns false, it does not mean that the file is properly restored and readable by applications. It simply means the file is not an EV placeholder.
Function Test-EVFSAPlaceHolder
{
    Param
    (
        [Parameter(Mandatory=$true,Position=0)]
        [ValidateScript({Test-Path $_})]
        [string]
        $Path
    )

    $fileInfo = Get-Item -Path $Path
    
    # 5632 is the combination of the ReparsePoint, SparseFile, and Offline values from the System.IO.FileAttributes enumeration, equivalent to:
    # [int]([System.IO.FileAttributes]::ReparsePoint -bor [System.IO.FileAttributes]::SparseFile -bor [System.IO.FileAttributes]::Offline)
    return $fileInfo.Attributes.HasFlag([System.IO.FileAttributes]5632) 
}